- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# slxos_l2_interface – Manage Layer-2 interface on Extreme Networks SLX-OS devices

New in version 2.6.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of Layer-2 interface on Extreme slxos devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_vlan - |  | Configure given VLAN in access port. If `mode=access`, used as the access VLAN ID.
aggregate - |  | List of Layer-2 interface definitions.
mode - | Choices: access ← trunk | Mode in which interface needs to be configured.
name - / required |  | Full name of the interface excluding any logical unit number, i.e. Ethernet 0/1. aliases: interface
native_vlan - |  | Native VLAN to be configured in trunk port. If `mode=trunk`, used as the trunk native VLAN ID.
state - | Choices: present ← absent unconfigured | Manage the state of the Layer-2 Interface configuration.
trunk_allowed_vlans - |  | List of allowed VLANs in a given trunk port. If `mode=trunk`, these are the only VLANs that will be configured on the trunk, i.e. "2-10,15".
trunk_vlans - |  | List of VLANs to be configured in trunk port. If `mode=trunk`, used as the VLAN range to ADD or REMOVE from the trunk.

## Examples

    - name: Ensure Ethernet 0/5 is in its default l2 interface state
      slxos_l2_interface:
        name: Ethernet 0/5
        state: unconfigured

    - name: Ensure Ethernet 0/5 is configured for access vlan 20
      slxos_l2_interface:
        name: Ethernet 0/5
        mode: access
        access_vlan: 20

    - name: Ensure Ethernet 0/5 only has vlans 5-10 as trunk vlans
      slxos_l2_interface:
        name: Ethernet 0/5
        mode: trunk
        native_vlan: 10
        trunk_vlans: 5-10

    - name: Ensure Ethernet 0/5 is a trunk port and ensure 2-50 are being tagged (doesn't mean others aren't also being tagged)
      slxos_l2_interface:
        name: Ethernet 0/5
        mode: trunk
        native_vlan: 10
        trunk_vlans: 2-50

    - name: Ensure these VLANs are not being tagged on the trunk
      slxos_l2_interface:
        name: Ethernet 0/5
        mode: trunk
        trunk_vlans: 51-4094
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface Ethernet 0/5', 'switchport access vlan 20']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matthew Stone (@bigmstone)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.